Get Product
curl --request GET \
--url https://api.example.com/api/products/{id}import requests
url = "https://api.example.com/api/products/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"sku": "PROD-001",
"name": "Example Product",
"description": "Detailed description",
"short_description": "Brief overview",
"price": 99.99,
"status": "active",
"product_type": "simple",
"created_at": "2024-01-01T12:00:00Z",
"updated_at": "2024-01-01T12:00:00Z",
"categories": [
{
"id": 1,
"name": "Electronics"
}
],
"attributes": {
"color": "blue",
"size": "medium"
}
}
Get Product
Retrieve a single product by ID via the WISEPIM API. Returns all fields including attributes, categories, pricing, inventory, and quality score data.
GET
/
api
/
products
/
{id}
Get Product
Returns detailed information about a specific product.
Path Parameters
integer
required
The ID of the product to retrieve
Response
integer
Product ID
string
Product SKU
string
Product name
string
Full product description
object
Product attribute values
array
List of categories the product belongs to
{
"id": 1,
"sku": "PROD-001",
"name": "Example Product",
"description": "Detailed description",
"short_description": "Brief overview",
"price": 99.99,
"status": "active",
"product_type": "simple",
"created_at": "2024-01-01T12:00:00Z",
"updated_at": "2024-01-01T12:00:00Z",
"categories": [
{
"id": 1,
"name": "Electronics"
}
],
"attributes": {
"color": "blue",
"size": "medium"
}
}
⌘I

